#include <stdio.h>
#include <X11/X.h>
#include <X11/Xos.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/keysym.h>
#include "dat.h"
#include "fns.h"
#include "patchlevel.h"

int _xk_up = 0, _xk_down = 0, _xk_left = 0, _xk_right = 0;

void initkeys (void) {
	_xk_up = XKeysymToKeycode (dpy, XK_Up);
	_xk_down = XKeysymToKeycode (dpy, XK_Down);
	_xk_left = XKeysymToKeycode (dpy, XK_Left);
	_xk_right = XKeysymToKeycode (dpy, XK_Right);
}

void key (XKeyEvent *e) {
	Client *c;

	curtime = e->time;
	if (getscreen(e->root) == 0)
		return;
	c = getclient(e->window, 0);

	if (e->keycode == _xk_up) {
		move(c, 0, 0, -16);
	} else if (e->keycode == _xk_down) {
		move(c, 0, 0, 16);
	} else if (e->keycode == _xk_left) {
		move(c, 0, -16, 0);
	} else if (e->keycode == _xk_right) {
		move(c, 0, 16, 0);
	}
}

void grabkeys (Client *c) {
	XUngrabKeyboard(dpy, CurrentTime);
	XGrabKey(dpy, AnyKey, ControlMask|Mod1Mask, c->parent, True, GrabModeAsync, GrabModeAsync);
}
